--- a/kickstart-vh-am.cfg	2015-03-23 12:35:16.961035364 +0100
+++ b/kickstart-vh-am.cfg	2015-03-03 08:53:51.000000000 +0100
@@ -21,7 +22,7 @@
 network  --bootproto=dhcp --device=eth0 --onboot=on
 network  --bootproto=dhcp --device=eth1 --onboot=off
 bootloader --append="crashkernel=auto selinux=0 nohz=off processor.max_cstate=2 kvm.ignore_msrs=1 nosmep" --location=mbr --driveorder="sda,sdb,sdc,sdd,sde,sdf" --timeout=2
-services --disabled=avahi-daemon,iscsi,iscsid,virt-who,cpuspeed --enabled=libvirtd,libvirt-guests,messagebus,collectd,nrpe,acpid,smartd,lm_sensors,cgconfig,kdump,watchdog,tuned,lvm2-lvmetad
+services --disabled=avahi-daemon,iscsi,iscsid,virt-who,cpuspeed --enabled=libvirtd,libvirt-guests,messagebus,collectd,nrpe,acpid,smartd,lm_sensors,cgconfig,kdump,watchdog,tuned,lvm2-lvmetad,ksmtuned,ksm
 zerombr
 
 
@@ -146,8 +135,9 @@
 done
 
 vgcreate -s 1M HostVG /dev/md[234]
-lvcreate -nroot -l204800 -i3 -I4M HostVG
-lvcreate -nswap -l10248 -i3 -I4M HostVG
+lvcreate -v -n swap -l10248 -i3 -I4M HostVG </dev/null
+sleep 5
+lvcreate -v -n root -l163840 -i3 -I4M HostVG </dev/null
 
 ls /dev/sd*
 
@@ -182,6 +172,7 @@
 telnet
 bind-utils
 irqbalance
+mtools
 epel-release
 elrepo-release
 rsh
@@ -202,7 +193,6 @@
 liberation-sans-fonts
 liberation-serif-fonts
 libguestfs-tools
-libguestfs-winsupport
 libguestfs-mount
 python-libguestfs
 cpuspeed
@@ -227,6 +217,7 @@
 zip
 gcc
 python-devel
+mtools
 python-setuptools
 ipmitool
 
@@ -282,11 +273,9 @@
 
 echo "StrictHostKeyChecking no" >> /etc/ssh/ssh_config
 echo "UserKnownHostsFile /dev/null" >> /etc/ssh/ssh_config
-echo 'DEVICESCAN -H -m root -M exec /usr/libexec/smartmontools/smartdnotify -n standby,10,q' > /etc/smartd.conf
 sed -i 's#^\s\+filter =.*$#\tfilter = [ "a|/dev/md.+|", "a|/dev/mapper/temp-.*|", "r/.*/" ]#' /etc/lvm/lvm.conf
 wget http://repo.hosting90.cz/download/vh/setup.sh -O /root/setup.sh
 wget http://repo.hosting90.cz/download/vh/nrpe_local.pp -O /root/nrpe_local.pp
-wget http://repo.hosting90.cz/download/vh/rssh_local.pp -O /root/rssh_local.pp
 cd /root
 echo 'export HISTTIMEFORMAT="%d/%m/%y %T "' >> /root/.bash_profile
 svn co svn://svn.hosting90.cz/autohosting server
@@ -354,7 +343,7 @@
 KSM_THRES_COEF=20
 KSM_THRES_CONST=8192
 LOGFILE=/var/log/ksmtuned
-DEBUG=1' > /etc/ksmtuned.conf
+DEBUG=0' > /etc/ksmtuned.conf
 
 echo 'DRIVER=acpi-cpufreq
 GOVERNOR=performance
@@ -376,7 +365,7 @@
 chmod 0755 /etc/sysconfig/modules/ipmi.modules
 
 sed -i '/^Defaults\s\+requiretty/s/^/#/' /etc/sudoers
-echo 'nrpe  ALL=(root) NOPASSWD: /usr/bin/ipmitool sensor' >> /etc/sudoers
+echo 'nrpe  ALL=(root) NOPASSWD: /usr/bin/ipmitool sensor, /usr/bin/yum history list all, /usr/sbin/smartctl -a *, /sbin/lvs --units b' >> /etc/sudoers
 
 echo 'options e1000e SmartPowerDownEnable=0 IntMode=2 EEE=0' > /etc/modprobe.d/e1000e.conf
 
@@ -405,6 +394,7 @@
 chkconfig auditd off
 
 rpm -Uhv /root/server/virtual/rfoo-1.3.0-1-el6.x86_64.rpm /root/server/command/h90util/python-h90util-0.1-1.x86_64.rpm
+cp /root/server/virtual/guestfs-winsupport/* /usr/lib64/guestfs/supermin.d/.
 
 rm -f /etc/munin/plugins/yum
 cat > /etc/munin/plugin-conf.d/diskstats <<EOF
